//========================================================================================
//
//	File:				CEServer.h
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef CESERVER_H
#define CESERVER_H


//========================================================================================
// Forward declarations
//========================================================================================

class FW_CPart;

//========================================================================================
// Function typedefs
//========================================================================================

typedef void (*ColorProc)(Environment* ev, void* refCon, short red, short green, short blue);

//========================================================================================
// Public API
//========================================================================================

FW_Boolean CE_ExtensionLibraryExists();	// returns true if the ColorExtension shared
										// library is installed at runtime

void CE_SetCallbacks(ColorProc foreColorProc, ColorProc backColorProc);
void CE_RegisterExtension(Environment* ev, FW_CPart* part, void* refCon);

#endif